summaryrefslogtreecommitdiffstats
path: root/development/eclipse-platform/eclipse-platform.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/eclipse-platform/eclipse-platform.SlackBuild')
-rw-r--r--development/eclipse-platform/eclipse-platform.SlackBuild84
1 files changed, 84 insertions, 0 deletions
diff --git a/development/eclipse-platform/eclipse-platform.SlackBuild b/development/eclipse-platform/eclipse-platform.SlackBuild
new file mode 100644
index 0000000000..fa87427857
--- /dev/null
+++ b/development/eclipse-platform/eclipse-platform.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for eclipse-platform
+
+# Copyright 2020, 2021 Igor Alexandrov <igor.alexandrov@outlook.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=eclipse-platform
+VERSION=${VERSION:-4.19}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported for $PRGNAM-$VERSION"
+ exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=eclipse
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+tar xvf $CWD/$PRGNAM-$VERSION-linux-gtk-$ARCH.tar.?z*
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p {opt,usr/{bin,doc/$PRGNAM-$VERSION}}
+mv $SRCNAM opt/$PRGNAM
+
+mv opt/$PRGNAM/configuration/config.ini opt/$PRGNAM/configuration/config.ini.new
+mv opt/$PRGNAM/eclipse.ini opt/$PRGNAM/eclipse.ini.new
+
+ln -s ../../opt/$PRGNAM/$SRCNAM usr/bin/$PRGNAM
+ln -s ../../../opt/$PRGNAM/readme/readme_eclipse.html usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+install -D -m 0644 $CWD/$PRGNAM.desktop usr/share/applications/$PRGNAM.desktop
+install -D -m 0644 "$(find . -name '*eclipse48.png')" usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p install
+cat $CWD/slack-desc > install/slack-desc
+cat $CWD/doinst.sh > install/doinst.sh
+
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}